## modest-search-plugin 2007.45.1

=== debian/changelog ===
modest-search-plugin (2007.45.1) feisty; urgency=low

  * Version bumped for week 45 release.

 -- Dirk-Jan C. Binnema <dirk-jan.binnema@nokia.com>  Fri,  2 Nov 2007 14:21:18 +0200

modest-search-plugin (2007.44.1) feisty; urgency=low

  * Version bumped for integration into week 44 release

 -- Dirk-Jan C. Binnema <dirk-jan.binnema@nokia.com>  Fri, 26 Oct 2007 15:27:16 +0300

modest-search-plugin (2007.43.2) feisty; urgency=low

  * New package name for the search functionality.

 -- Dirk-Jan C. Binnema <dirk-jan.binnema@nokia.com>  Wed, 24 Oct 2007 11:18:50 +0300
