=== debian/control ===
Source: modest-search-plugin
Section: x11
Priority: optional
Maintainer: Dirk-Jan Binnema <dirk-jan.binnema@nokia.com> 
Build-Depends: debhelper (>= 4.0.0), libosso-dev, libogs1.2-dev, libmodest-dbus-client-dev, gnome-common
Standards-Version: 3.6.0

Package: modest-search-plugin
Section: libs
Architecture: any
Conflicts: osso-email-search-plugin
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: modest search plugin for Global search application
 This is plugin adds the email search functionality to the
 global search application.
