## modest-search-plugin 2008.23.1

=== debian/changelog ===
modest-search-plugin (2008.23.1) hardy; urgency=low

  * Version bumped for week 23 release
  * Fixes: NB#82137

 -- Dirk-Jan C. Binnema <dirk-jan.binnema@nokia.com>  Wed, 04 Jun 2008 12:08:26 +0300
